Bug 73665 - IDE Controller not recognized
IDE Controller not recognized
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-09-08 02:17 EDT by kenneth_imboden
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-07 22:29:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description kenneth_imboden 2002-09-08 02:17:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; AT&T CSM6.0; 

Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Buy an HP 752n PC
2. Install Red Hat Linux 7.3
3. Try to boot.

Actual Results:  ...
ide: Assuming 33Mhz system bus speed for PIO modes; override with idebus=xx
PCI_IDE: unknown IDE controller on PCI bus 00 device f9 VID=8086, DID=24cb
PCI: Device 00:if.1 not available because of resource collisions PCI_IDE 
(ide_setup_pci_device:) could not enable device
hda: ST36002A, ATA DISK drive
hdc: CR-48XATE, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7, 0x3f6 on irq 14
ide1 at 0x170-0x177, 0x376 on irq 15

Expected Results:  Usual boot, with the IDE controller recognized.

Additional info:

Based on my reading of the kernel source code and the data sheet for this IDE 
controller, I suspect that I simply need one more line in the table of IDE 
controllers recognized by the kernel.  I'm hoping for a boot time work-around 
to get the system up and running.  Otherwise, I'm seeking a plan of attack on 
how to get Linux patched/running on a machine that does not boot.

Thank you.
Comment 1 Arjan van de Ven 2002-09-08 05:16:22 EDT
if your bios is anywhere remotely sane then it should work regardless of not
knowing the PCI ID, just not with DMA. You can try to use "ide=nodma" on the
grub screen to see if that works... :(
Or a newer kernel from the rawhide directory of our ftp site; that one has the
ID added
Comment 2 kenneth_imboden 2002-09-08 20:49:44 EDT
I tried the ide=nodma option during the course of my e-mail discussions with 
Red Hat support, and again just now, but the boot still stalls at the same 

Thus I think I'd like to go the rawhide route.  Not to seem terribly obtuse 
about it, but when I look 
in /pub/Linux/distributions/redhat/rawhide/i386/images, I find an empty 
directory.  Is this the correct directory and therefore should I conclude that 
there are no prebuilt images available?  (I'm fairly new to the Linux world, 
and have yet to build a kernel, and am hoping to avoid doing so.)  Or is there 
a directory where I can find the prebuilt images?
Comment 3 Arjan van de Ven 2002-09-09 04:38:57 EDT
You can get images from the beta "Null" thats' in the beta directory
Comment 4 kenneth_imboden 2002-09-14 00:51:50 EDT
I went the rawhide route, downloading from a mirror site:


I burned images to CD, and after doing a mediacheck on each CD, installed 
The boot proceeds further than before, but at a certain point crashes, causing 
the hardware to reboot and the screen to go blue before I can really get a 
good look at the last console message before the crash.  The best glance I 
could get was something still to do with the IDE, but I would not swear to 

Is there some way I can look at the previous boot's console log during boot 
time, such that I can give you more information?

Also, is this the right forum for reporting bugs in a beta version of the 
Comment 5 Alan Cox 2003-06-07 22:29:03 EDT
Supported in the current errata kernels

Note You need to log in before you can comment on or make changes to this bug.